Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I have created my project in Symfony 1.4.8 with Propel ORM. previously server had PHP version 5.2.* and i have upgraded it to 5.3.4, then the problem started giving some error in Propel. the errors were,

PHP Deprecated: Directive 'magic_quotes_gpc' is deprecated in PHP 5.3 and greater in Unknown on line 0
PHP Fatal error: Class 'PDO' not found in /usr/local/lib/php/symfony/plugins/sfPropelPlugin/lib/vendor/propel/util/PropelPDO.php on line 42

PHP Warning: Module 'PDO' already loaded in Unknown on line 0

PHP Warning: Module 'pdo_sqlite' already loaded in Unknown on line 0

PHP Warning: Module 'SQLite' already loaded in Unknown on line 0

Is there any config error that has to be taken care of?? please help!

share|improve this question
add comment

1 Answer

Magic quotes are deprecated as of Php 5.3

http://www.php.net/manual/en/info.configuration.php#ini.magic-quotes-gpc

For the PDO. Check you php.ini if you have uncommented "extension=php_pdo.so" and your classe PDO to your database.

share|improve this answer
    
ok @sameer i will try that! –  Harish Kurup Jan 21 '11 at 13:28
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.